Index: /trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/TransferObjects/JobStatus.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/TransferObjects/JobStatus.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/TransferObjects/JobStatus.cs	(revision 1449)
@@ -33,5 +33,5 @@
     /// </summary>
     [DataMember]
-    public long JobId { get; set; }
+    public Guid JobId { get; set; }
     /// <summary>
     /// When has the calculation of the Job begun?
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ConfigManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ConfigManager.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ConfigManager.cs	(revision 1449)
@@ -55,9 +55,9 @@
 
       if (Settings.Default.Guid == Guid.Empty) {
-        hardwareInfo.ClientId = Guid.NewGuid();
-        Settings.Default.Guid = hardwareInfo.ClientId;
+        hardwareInfo.Id = Guid.NewGuid();
+        Settings.Default.Guid = hardwareInfo.Id;
         Settings.Default.Save();
       } else
-        hardwareInfo.ClientId = Settings.Default.Guid;
+        hardwareInfo.Id = Settings.Default.Guid;
       
       hardwareInfo.NrOfCores = Environment.ProcessorCount;
@@ -102,5 +102,5 @@
       //Todo: Locking
       StatusCommons st = new StatusCommons();
-      st.ClientGuid = hardwareInfo.ClientId;
+      st.ClientGuid = hardwareInfo.Id;
       
       st.Status = WcfService.Instance.ConnState;
@@ -111,9 +111,9 @@
       st.JobsFetched = ClientStatusInfo.JobsFetched;      
 
-      Dictionary<long, Executor> engines = Core.GetExecutionEngines();
+      Dictionary<Guid, Executor> engines = Core.GetExecutionEngines();
       st.Jobs = new List<JobStatus>();
 
       lock (engines) {
-        foreach (KeyValuePair<long, Executor> kvp in engines) {
+        foreach (KeyValuePair<Guid, Executor> kvp in engines) {
           Executor e = kvp.Value;
           st.Jobs.Add(new JobStatus { JobId = e.JobId, Progress = e.Progress, Since = e.CreationTime });
@@ -123,9 +123,9 @@
     }
 
-    public Dictionary<long, double> GetProgressOfAllJobs() {
-      Dictionary<long,double> prog = new Dictionary<long,double>();
-      Dictionary<long, Executor> engines = Core.GetExecutionEngines();
+    public Dictionary<Guid, double> GetProgressOfAllJobs() {
+      Dictionary<Guid, double> prog = new Dictionary<Guid, double>();
+      Dictionary<Guid, Executor> engines = Core.GetExecutionEngines();
       lock (engines) {
-        foreach (KeyValuePair<long, Executor> kvp in engines) {
+        foreach (KeyValuePair<Guid, Executor> kvp in engines) {
           Executor e = kvp.Value;
           prog[e.JobId] = e.Progress;
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 1449)
@@ -52,8 +52,8 @@
   public class Core: MarshalByRefObject {       
     public static bool abortRequested { get; set; }
-        
-    private Dictionary<long, Executor> engines = new Dictionary<long, Executor>();
-    private Dictionary<long, AppDomain> appDomains = new Dictionary<long, AppDomain>();
-    private Dictionary<long, Job> jobs = new Dictionary<long, Job>();
+
+    private Dictionary<Guid, Executor> engines = new Dictionary<Guid, Executor>();
+    private Dictionary<Guid, AppDomain> appDomains = new Dictionary<Guid, AppDomain>();
+    private Dictionary<Guid, Job> jobs = new Dictionary<Guid, Job>();
 
     private WcfService wcfService;
@@ -129,5 +129,5 @@
         //Pull a Job from the Server
         case MessageContainer.MessageType.FetchJob: 
-          wcfService.SendJobAsync(ConfigManager.Instance.GetClientInfo().ClientId);
+          wcfService.SendJobAsync(ConfigManager.Instance.GetClientInfo().Id);
           break;          
         //A Job has finished and can be sent back to the server
@@ -147,10 +147,10 @@
     
     private void GetFinishedJob(object jobId) {
-      long jId = (long)jobId;      
+      Guid jId = (Guid)jobId;      
       try {
         byte[] sJob = engines[jId].GetFinishedJob();
 
         if (WcfService.Instance.ConnState == NetworkEnum.WcfConnState.Loggedin) {
-          wcfService.StoreFinishedJobResultAsync(ConfigManager.Instance.GetClientInfo().ClientId,
+          wcfService.StoreFinishedJobResultAsync(ConfigManager.Instance.GetClientInfo().Id,
             jId,
             sJob,
@@ -174,7 +174,7 @@
 
     private void GetSnapshot(object jobId) {
-      long jId = (long)jobId;
+      Guid jId = (Guid)jobId;
       byte[] obj = engines[jId].GetSnapshot();
-      wcfService.ProcessSnapshotAsync(ConfigManager.Instance.GetClientInfo().ClientId,
+      wcfService.ProcessSnapshotAsync(ConfigManager.Instance.GetClientInfo().Id,
         jId,
         obj,
@@ -249,8 +249,8 @@
       Logging.Instance.Info(this.ToString(), "ServerChanged has been called");
       lock (engines) {
-        foreach (KeyValuePair<long, AppDomain> entries in appDomains)
+        foreach (KeyValuePair<Guid, AppDomain> entries in appDomains)
           AppDomain.Unload(appDomains[entries.Key]);
-        appDomains = new Dictionary<long, AppDomain>();
-        engines = new Dictionary<long, Executor>();
+        appDomains = new Dictionary<Guid, AppDomain>();
+        engines = new Dictionary<Guid, Executor>();
       }
     }
@@ -265,5 +265,5 @@
       Logging.Instance.Info(this.ToString(), "Reconnected to old server - checking currently running appdomains");                 
 
-      foreach (KeyValuePair<long, Executor> execKVP in engines) {
+      foreach (KeyValuePair<Guid, Executor> execKVP in engines) {
         if (!execKVP.Value.Running && execKVP.Value.CurrentMessage == MessageContainer.MessageType.NoMessage) {
           Logging.Instance.Info(this.ToString(), "Checking for JobId: " + execKVP.Value.JobId);
@@ -276,5 +276,5 @@
     #endregion
 
-    public Dictionary<long, Executor> GetExecutionEngines() {
+    public Dictionary<Guid, Executor> GetExecutionEngines() {
       return engines;
     }
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/Heartbeat.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/Heartbeat.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/Heartbeat.cs	(revision 1449)
@@ -80,5 +80,5 @@
 
         HeartBeatData heartBeatData = new HeartBeatData {
-        ClientId = info.ClientId,
+        ClientId = info.Id,
         FreeCores = info.NrOfCores - (ClientStatusInfo.JobsFetched - ClientStatusInfo.JobsProcessed),
         FreeMemory = mb,
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/JobStorage/JobStorageInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/JobStorage/JobStorageInfo.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/JobStorage/JobStorageInfo.cs	(revision 1449)
@@ -9,5 +9,5 @@
     public long ServerPort { get; set; }
     public DateTime TimeFinished { get; set; }
-    public long JobID { get; set; }
+    public Guid JobID { get; set; }
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/JobStorage/JobStorageManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/JobStorage/JobStorageManager.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/JobStorage/JobStorageManager.cs	(revision 1449)
@@ -17,5 +17,5 @@
     private static String path = "C:\\Program Files\\HeuristicLab 3.0\\plugins\\jobStorrage\\";
     
-    public static void PersistObjectToDisc(String serverIP, long serverPort, long jobId, byte[] job) {
+    public static void PersistObjectToDisc(String serverIP, long serverPort, Guid jobId, byte[] job) {
       String filename = serverIP + "." + serverPort + "." + jobId.ToString();
 
@@ -46,5 +46,5 @@
           
           //Todo: ask server first if he really wants the job...
-          ResponseResultReceived res = WcfService.Instance.SendStoredJobResultsSync(ConfigManager.Instance.GetClientInfo().ClientId, storedJobsList[index-1].JobID, job, 1.00, null, true);
+          ResponseResultReceived res = WcfService.Instance.SendStoredJobResultsSync(ConfigManager.Instance.GetClientInfo().Id, storedJobsList[index-1].JobID, job, 1.00, null, true);
           //TODO: has to be fixed from server side
           //if (res.Success == true) {
Index: /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/Executor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/Executor.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/Executor.cs	(revision 1449)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Hive.Client.ExecutionEngine {
   public class Executor: MarshalByRefObject {
-    public long JobId { get; set; }
+    public Guid JobId { get; set; }
     public IJob Job { get; set; }
     public MessageContainer.MessageType CurrentMessage { get; set; }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Client.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Client.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/Client.cs	(revision 1449)
@@ -33,8 +33,4 @@
   public class ClientInfo : Resource {
     [DataMember]
-    public long ClientInfoId { get; set; }
-    [DataMember]
-    public Guid ClientId { get; set; }
-    [DataMember]
     public int NrOfCores { get; set; }
     [DataMember]
Index: /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/HeartBeatData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/HeartBeatData.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/HeartBeatData.cs	(revision 1449)
@@ -37,5 +37,5 @@
     public int FreeCores { get; set; }
     [DataMember]
-    public Dictionary<long, double> JobProgress { get; set; } // TODO: define Type 
+    public Dictionary<Guid, double> JobProgress { get; set; } // TODO: define Type 
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 1449)
@@ -86,5 +86,4 @@
     <Compile Include="Interfaces\ILifecycleManager.cs" />
     <Compile Include="Interfaces\IServerConsoleFacade.cs" />
-    <Compile Include="Interfaces\ITransactionManager.cs" />
     <Compile Include="MessageContainer.cs" />
     <Compile Include="ResponseJob.cs" />
Index: /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IClientCommunicator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IClientCommunicator.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IClientCommunicator.cs	(revision 1449)
@@ -42,11 +42,11 @@
     [OperationContract]
     ResponseResultReceived StoreFinishedJobResult(Guid clientId, 
-      long jobId, 
+      Guid jobId, 
       byte[] result, 
       double percentage,
       Exception exception);
     [OperationContract]
-    ResponseResultReceived ProcessSnapshot(Guid clientId, 
-      long jobId, 
+    ResponseResultReceived ProcessSnapshot(Guid clientId,
+      Guid jobId, 
       byte[] result, 
       double percentage, 
@@ -55,5 +55,5 @@
     Response Logout(Guid clientId);
     [OperationContract]
-    Response IsJobStillNeeded(long jobId);
+    Response IsJobStillNeeded(Guid jobId);
     [OperationContract]
     ResponsePlugin SendPlugins(List<PluginInfo> pluginList);
Index: /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IClientManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IClientManager.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IClientManager.cs	(revision 1449)
@@ -43,7 +43,7 @@
     Response AddClientGroup(ClientGroup clientGroup);
     [OperationContract]
-    Response AddResourceToGroup(long clientGroupId, Resource resource);
+    Response AddResourceToGroup(Guid clientGroupId, Resource resource);
     [OperationContract]
-    Response DeleteResourceFromGroup(long clientGroupId, long resourceId);
+    Response DeleteResourceFromGroup(Guid clientGroupId, Guid resourceId);
     [OperationContract]
     ResponseList<UpTimeStatistics> GetAllUpTimeStatistics();
Index: /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJobManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJobManager.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/Interfaces/IJobManager.cs	(revision 1449)
@@ -38,7 +38,7 @@
     ResponseObject<Job> AddNewJob(Job job);
     [OperationContract]
-    Response RemoveJob(long jobId);
+    Response RemoveJob(Guid jobId);
     [OperationContract]
-    ResponseObject<JobResult> GetLastJobResultOf(long jobId);
+    ResponseObject<JobResult> GetLastJobResultOf(Guid jobId);
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Contracts/MessageContainer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/MessageContainer.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/MessageContainer.cs	(revision 1449)
@@ -36,11 +36,11 @@
 
     public MessageType Message { get; set; }
-    public long JobId { get; set; }
+    public Guid JobId { get; set; }
 
     public MessageContainer(MessageType message) {
       Message = message;
-      JobId = 0;
+      JobId = Guid.Empty;
     }
-    public MessageContainer(MessageType message, long jobId) {
+    public MessageContainer(MessageType message, Guid jobId) {
       Message = message;
       JobId = jobId;
Index: /trunk/sources/HeuristicLab.Hive.Contracts/ResponseResultReceived.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/ResponseResultReceived.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/ResponseResultReceived.cs	(revision 1449)
@@ -31,5 +31,5 @@
   public class ResponseResultReceived : Response {
     [DataMember]
-    public long JobId { get; set; }
+    public Guid JobId { get; set; }
     [DataMember]
     public bool finished { get; set; }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientAdapter.cs	(revision 1449)
@@ -80,11 +80,4 @@
     }
 
-    private void Preprocess(ClientInfo client) {
-      if (client != null && client.Id == default(long)) {
-        ClientInfo found = GetById(client.ClientId);
-        if (found != null)
-          client.Id = found.Id;
-      }
-    }
 
     #region Overrides
@@ -96,10 +89,5 @@
         ResAdapter.GetById(client);
 
-        /*ClientInfo*/
-        if (!row.IsGUIDNull())
-          client.ClientId = row.GUID;
-        else
-          client.ClientId = Guid.Empty;
-       
+        /*ClientInfo*/       
         if (!row.IsCPUSpeedNull())
           client.CpuSpeedPerCore = row.CPUSpeed;
@@ -137,6 +125,6 @@
     protected override dsHiveServer.ClientRow ConvertObj(ClientInfo client,
       dsHiveServer.ClientRow row) {
-      if (client != null && row != null) {      
-        row.GUID = client.ClientId;
+      if (client != null && row != null) {
+        row.ResourceId = client.Id;
         row.CPUSpeed = client.CpuSpeedPerCore;
         row.Memory = client.Memory;
@@ -196,10 +184,10 @@
 
     protected override IEnumerable<dsHiveServer.ClientRow>
-      FindById(long id) {
-      return Adapter.GetDataByResourceId(id);
+      FindById(Guid id) {
+      return Adapter.GetDataById(id);
     }
 
     protected override dsHiveServer.ClientRow
-      FindCachedById(long id) {
+      FindCachedById(Guid id) {
       return cache.FindByResourceId(id);
     }
@@ -217,34 +205,8 @@
     public override void Update(ClientInfo client) {
       if (client != null) {
-        Guid locked = Guid.Empty;
-        if (client.ClientId != Guid.Empty) {
-          LockRow(client.ClientId);
-          locked = client.ClientId;
-        }
-
-        Preprocess(client);
-
         ResAdapter.Update(client);
 
         base.Update(client);
-
-        if (locked != Guid.Empty) {
-          UnlockRow(locked);
-        }
-      }
-    }
-
-    public ClientInfo GetById(Guid clientId) {
-      return base.FindSingle(
-        delegate() {
-          return Adapter.GetDataById(clientId);
-        }, 
-        delegate() {
-          return from c in
-                     cache.AsEnumerable<dsHiveServer.ClientRow>()
-                   where !c.IsGUIDNull() && 
-                          c.GUID == clientId
-                   select c; 
-        });
+      }
     }
 
@@ -262,10 +224,8 @@
       
       if (client != null) {
-        if (client.ClientId != Guid.Empty) {
-          LockRow(client.ClientId);
-          locked = client.ClientId;
-        }
-
-        Preprocess(client);
+        if (client.Id != Guid.Empty) {
+          LockRow(client.Id);
+          locked = client.Id;
+        }
 
         dsHiveServer.ClientRow row =
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs	(revision 1449)
@@ -222,5 +222,5 @@
 
     protected override IEnumerable<dsHiveServer.ClientGroupRow>
-      FindById(long id) {
+      FindById(Guid id) {
       return Adapter.GetDataById(id);
     }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobAdapter.cs	(revision 1449)
@@ -81,5 +81,5 @@
           job.Client = null;
 
-        if (!row.IsPermissionOwnerIdNull())
+        if (!row.IsUserIdNull())
           job.UserId = Guid.Empty;
         else
@@ -124,4 +124,6 @@
       dsHiveServer.JobRow row) {
       if (job != null && row != null) {
+        row.JobId = job.Id;
+        
         if (job.Client != null) {
           if (row.IsResourceIdNull() ||
@@ -143,10 +145,10 @@
 
         if (job.UserId != Guid.Empty) {
-          if (row.IsPermissionOwnerIdNull() ||
-           row.PermissionOwnerId != 0) {
-            row.PermissionOwnerId = 0;
+          if (row.IsUserIdNull() ||
+           row.UserId != Guid.Empty) {
+            row.UserId = Guid.Empty;
           }
         } else
-          row.SetPermissionOwnerIdNull();
+          row.SetUserIdNull();
 
         if (job.State != State.nullState)
@@ -185,4 +187,5 @@
 
       dsHiveServer.JobRow row = data.NewJobRow();
+      row.JobId = job.Id;
       data.AddJobRow(row);
 
@@ -193,4 +196,5 @@
       InsertNewRowInCache(Job job) {
       dsHiveServer.JobRow row = cache.NewJobRow();
+      row.JobId = job.Id;
       cache.AddJobRow(row);
 
@@ -213,10 +217,10 @@
 
     protected override IEnumerable<dsHiveServer.JobRow>
-      FindById(long id) {
+      FindById(Guid id) {
       return Adapter.GetDataById(id);
     }
 
     protected override dsHiveServer.JobRow
-      FindCachedById(long id) {
+      FindCachedById(Guid id) {
       return cache.FindByJobId(id);
     }
@@ -237,5 +241,5 @@
           base.FindMultiple(
             delegate() {
-              return Adapter.GetDataBySubjobs(job.Id);
+              return Adapter.GetDataByParentJob(job.Id);
             },
             delegate() {
@@ -313,15 +317,13 @@
           base.FindMultiple(
             delegate() {
-              return Adapter.GetDataByUser(0);
+              return Adapter.GetDataByUser(userId);
             },
             delegate() {
               return from job in
                 cache.AsEnumerable<dsHiveServer.JobRow>()
-              where !job.IsPermissionOwnerIdNull() &&
-                job.PermissionOwnerId == 0
+              where !job.IsUserIdNull() &&
+                job.UserId == Guid.Empty
               select job;
             });
-
-      return null;
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobResultsAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobResultsAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/JobResultsAdapter.cs	(revision 1449)
@@ -53,5 +53,5 @@
         if (result.Client != null)  {
           ClientInfo client = 
-                 ClientAdapter.GetById(result.Client.ClientId);
+                 ClientAdapter.GetById(result.Client.Id);
 
           if (client != null)
@@ -83,4 +83,5 @@
       JobResult result) {
       if (row != null && result != null) {
+        row.JobResultId = result.Id;
         result.Id = row.JobResultId;
 
@@ -126,4 +127,5 @@
 
       dsHiveServer.JobResultRow row = data.NewJobResultRow();
+      row.JobResultId = obj.Id;
       data.AddJobResultRow(row);
 
@@ -131,5 +133,5 @@
     }
 
-    protected override IEnumerable<dsHiveServer.JobResultRow> FindById(long id) {
+    protected override IEnumerable<dsHiveServer.JobResultRow> FindById(Guid id) {
       return Adapter.GetDataById(id);
     }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ResourceAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ResourceAdapter.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ResourceAdapter.cs	(revision 1449)
@@ -71,4 +71,5 @@
       dsHiveServer.ResourceRow row) {
       if (resource != null && row != null) {
+        row.ResourceId = resource.Id;
         row.Name = resource.Name;
 
@@ -88,4 +89,5 @@
 
       dsHiveServer.ResourceRow row = data.NewResourceRow();
+      row.ResourceId = resource.Id;
       data.AddResourceRow(row);
 
@@ -96,4 +98,5 @@
       InsertNewRowInCache(Resource resource) {
       dsHiveServer.ResourceRow row = cache.NewResourceRow();
+      row.ResourceId = resource.Id;
       cache.AddResourceRow(row);
 
@@ -115,10 +118,10 @@
 
     protected override IEnumerable<dsHiveServer.ResourceRow>
-      FindById(long id) {
+      FindById(Guid id) {
       return Adapter.GetDataById(id);
     }
 
     protected override dsHiveServer.ResourceRow
-      FindCachedById(long id) {
+      FindCachedById(Guid id) {
       return cache.FindByResourceId(id);
     }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1449)
@@ -45,9 +45,9 @@
     private ResponseList<Job> jobs = null;
 
-    private Dictionary<long, ListViewGroup> clientObjects;
-    private Dictionary<long, ListViewItem> clientInfoObjects;
-    private Dictionary<long, ListViewItem> jobObjects;
-    private Dictionary<long, ListViewGroup> userGroupsObjects;
-    private Dictionary<long, ListViewItem> userListObjects;
+    private Dictionary<Guid, ListViewGroup> clientObjects;
+    private Dictionary<Guid, ListViewItem> clientInfoObjects;
+    private Dictionary<Guid, ListViewItem> jobObjects;
+    private Dictionary<Guid, ListViewGroup> userGroupsObjects;
+    private Dictionary<Guid, ListViewItem> userListObjects;
 
     private Job currentJob = null;
@@ -85,6 +85,6 @@
     private void AddClients() {
       try {
-        clientObjects = new Dictionary<long, ListViewGroup>();
-        clientInfoObjects = new Dictionary<long, ListViewItem>();
+        clientObjects = new Dictionary<Guid, ListViewGroup>();
+        clientInfoObjects = new Dictionary<Guid, ListViewItem>();
         IClientManager clientManager =
           ServiceLocator.GetClientManager();
@@ -131,5 +131,5 @@
     private void AddJobs() {
       try {
-        jobObjects = new Dictionary<long, ListViewItem>();
+        jobObjects = new Dictionary<Guid, ListViewItem>();
         IJobManager jobManager =
           ServiceLocator.GetJobManager();
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/ServiceLocator.cs	(revision 1449)
@@ -27,6 +27,6 @@
         Port != String.Empty) {
 
-        NetTcpBinding binding = 
-             new NetTcpBinding();
+        NetTcpBinding binding =
+             new NetTcpBinding(SecurityMode.None, true);
 
         binding.MaxReceivedMessageSize = 5000000;
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ClientCommunicator.cs	(revision 1449)
@@ -85,5 +85,5 @@
           heartbeatLock.EnterUpgradeableReadLock();
 
-          if (!lastHeartbeats.ContainsKey(client.ClientId)) {
+          if (!lastHeartbeats.ContainsKey(client.Id)) {
             client.State = State.offline;
             clientAdapter.Update(client);
@@ -92,5 +92,5 @@
             }
           } else {
-            DateTime lastHbOfClient = lastHeartbeats[client.ClientId];
+            DateTime lastHbOfClient = lastHeartbeats[client.Id];
 
             TimeSpan dif = DateTime.Now.Subtract(lastHbOfClient);
@@ -110,5 +110,5 @@
 
               heartbeatLock.EnterWriteLock();
-              lastHeartbeats.Remove(client.ClientId);
+              lastHeartbeats.Remove(client.Id);
               heartbeatLock.ExitWriteLock();
             }
@@ -118,6 +118,6 @@
         } else {
           heartbeatLock.EnterWriteLock();
-          if (lastHeartbeats.ContainsKey(client.ClientId))
-            lastHeartbeats.Remove(client.ClientId);
+          if (lastHeartbeats.ContainsKey(client.Id))
+            lastHeartbeats.Remove(client.Id);
           heartbeatLock.ExitWriteLock();
         }
@@ -137,13 +137,13 @@
 
       heartbeatLock.EnterWriteLock();
-      if (lastHeartbeats.ContainsKey(clientInfo.ClientId)) {
-        lastHeartbeats[clientInfo.ClientId] = DateTime.Now;
+      if (lastHeartbeats.ContainsKey(clientInfo.Id)) {
+        lastHeartbeats[clientInfo.Id] = DateTime.Now;
       } else {
-        lastHeartbeats.Add(clientInfo.ClientId, DateTime.Now);
+        lastHeartbeats.Add(clientInfo.Id, DateTime.Now);
       }
       heartbeatLock.ExitWriteLock();
 
       // todo: allClients legacy ?
-      ClientInfo client = clientAdapter.GetById(clientInfo.ClientId);
+      ClientInfo client = clientAdapter.GetById(clientInfo.Id);
       if (client != null && client.State != State.offline && client.State != State.nullState) {
         response.Success = false;
@@ -205,7 +205,7 @@
         }
 
-        foreach (KeyValuePair<long, double> jobProgress in hbData.JobProgress) {
+        foreach (KeyValuePair<Guid, double> jobProgress in hbData.JobProgress) {
           Job curJob = jobAdapter.GetById(jobProgress.Key);
-          if (curJob.Client == null || curJob.Client.ClientId != hbData.ClientId) {
+          if (curJob.Client == null || curJob.Client.Id != hbData.ClientId) {
             response.Success = false;
             response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_JOB_IS_NOT_BEEING_CALCULATED;
@@ -248,5 +248,5 @@
 
     private ResponseResultReceived ProcessJobResult(Guid clientId,
-      long jobId,
+      Guid jobId,
       byte[] result,
       double percentage,
@@ -266,5 +266,5 @@
         return response;
       }
-      if (job.Client.ClientId != clientId) {
+      if (job.Client.Id != clientId) {
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_COMMUNICATOR_WRONG_CLIENT_FOR_JOB;
@@ -334,5 +334,5 @@
     /// <returns></returns>
     public ResponseResultReceived StoreFinishedJobResult(Guid clientId, 
-      long jobId, 
+      Guid jobId, 
       byte[] result, 
       double percentage,
@@ -343,5 +343,5 @@
 
 
-    public ResponseResultReceived ProcessSnapshot(Guid clientId, long jobId, byte[] result, double percentage, Exception exception) {
+    public ResponseResultReceived ProcessSnapshot(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception) {
       return ProcessJobResult(clientId, jobId, result, percentage, exception, false);
     }
@@ -371,5 +371,5 @@
         // check wich job the client was calculating and reset it
         foreach (Job job in allJobs) {
-          if (job.Client.ClientId == client.ClientId) {
+          if (job.Client.Id == client.Id) {
             jobManager.ResetJobsDependingOnResults(job);
           }
@@ -392,5 +392,5 @@
     /// <param name="jobId"></param>
     /// <returns></returns>
-    public Response IsJobStillNeeded(long jobId) {
+    public Response IsJobStillNeeded(Guid jobId) {
       Response response = new Response();
       Job job = jobAdapter.GetById(jobId);
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ClientFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ClientFacade.cs	(revision 1448)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ClientFacade.cs	(revision 1449)
@@ -50,5 +50,5 @@
 
     public ResponseResultReceived StoreFinishedJobResult(Guid clientId,
-      long jobId,
+      Guid jobId,
       byte[] result,
       double percentage, 
@@ -61,5 +61,5 @@
     }
 
-    public Response IsJobStillNeeded(long jobId) {
+    public Response IsJobStillNeeded(Guid jobId) {
       return clientCommunicator.IsJobStillNeeded(jobId);
     }
@@ -69,5 +69,5 @@
     }
 
-    public ResponseResultReceived ProcessSnapshot(Guid clientId, long jobId, byte[] result, double percentage, Exception exception) {
+    public ResponseResultReceived ProcessSnapshot(Guid clientId, Guid jobId, byte[] result, double percentage, Exception exception) {
       throw new NotImplementedException();
     }
